<!DOCTYPE html>
<html lang="en">
<head>
    <title></title>
</head>
<body>
    <section>
        <img  id="miImagen" src="../sitio_prueba/miImagen.jpg" alt="Texto alt"
        data-camara="Modelo de la camara que utilicé"
        data-efecto="Efectos aplicados en esta foto"
        data-geo="longitud y latitud"
        data-fecha="La fecha en que se tomó la foto">
    </section>
    <script type="text/javascript">
      var imgsConEfecto = document.querySelectorAll('data-efecto');
      var camara = document.getElementById('miImagen').dataset.camara;

      var elemento = document.getElementById('miImagen');
      var cam = elemento.dataset.camara;// "Modelo de la camara que utilicé"

      var attribute = elemento.getAttribute('data-geo');
      elemento.setAttribute("data-geo","someName");

      console.log('atributos data');
      console.log( camara );
    </script>
</body>
</html>